Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 283029 - app-text/recode fails with autoconf-2.64
Summary: app-text/recode fails with autoconf-2.64
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Shell Tools Herd Bugs
URL:
Whiteboard:
Keywords: NeedPatch
Depends on:
Blocks: autoconf-2.64
  Show dependency tree
 
Reported: 2009-08-28 14:13 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-10-18 06:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (recode-3.6_p15-r1:20090828-141027.log,6.93 KB, text/plain)
2009-08-28 14:13 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-08-28 14:13:00 UTC
Have fun;

tinderbox recode-3.6 # less m4/flex.m4 
## Replacement for AC_PROG_LEX and AC_DECL_YYTEXT
## by Alexandre Oliva <oliva@dcc.unicamp.br>
## Modified by Akim Demaille so that only flex is legal

# serial 2

dnl ad_AC_PROG_FLEX
dnl Look for flex or missing, then run AC_PROG_LEX and AC_DECL_YYTEXT
AC_DEFUN(ad_AC_PROG_FLEX,
[AC_CHECK_PROGS(LEX, flex, missing)
if test "$LEX" = missing; then
  LEX="\$(top_srcdir)/$ac_aux_dir/missing flex"
  LEX_OUTPUT_ROOT=lex.yy
  AC_SUBST(LEX_OUTPUT_ROOT)dnl
else
  AC_PROG_LEX
  AC_DECL_YYTEXT
fi])

AC_PROG_LEX and AC_DECL_YYTEXT are two once-only expanded macros, so at that point you get

"else

fi"

and the build log happens.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-08-28 14:13:27 UTC
Created attachment 202487 [details]
Build log
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-08-28 19:34:40 UTC
http://blog.flameeyes.eu/2009/08/28/autoconf-2-64-the-phantom-macro-menace

But there is more, I'll attach a patch.
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-09-06 05:11:44 UTC
(In reply to comment #2)

> But there is more, I'll attach a patch.

Just apply it, please.

Comment 4 SpanKY gentoo-dev 2009-10-18 06:05:46 UTC
ive fixed it in 3.6_p16